LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XConnector Interface Referencepublished

allows to actively establish an interprocess connection. More...

`import"XConnector.idl";`

Inheritance diagram for XConnector:

## Public Member Functions
XConnection | connect ([in] string sConnectionDescription) raises ( NoConnectException,ConnectionSetupException )
| creates a new connection interprocess connection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to actively establish an interprocess connection.

Developers Guide
  Professional UNO - Opening a Connection

## Member Function Documentation

## ◆ connect()

XConnection connect | ( | [in] string | sConnectionDescription | ) |
raises | ( | NoConnectException,
|  | ConnectionSetupException
| ) |  |

creates a new connection interprocess connection.

Tries to connect to an XAcceptor. Behavior is unspecified if a call to connect is made when another call to connect either has not yet returned or has returned successfully without raising an exception.

Parameters

  sConnectionDescription | contains the kind of the connection plus a comma separated list of attributes, e.g., socket,host=localhost,port=2345 for a tcpip connection.

Exceptions

  ConnectionSetupException | Problems during setting up the connector on client side, (e.g., Security-reasons, socket already busy .. ), or the string could not be interpreted correctly.
  NoConnectException | Couldn't reach a server (e.g. network failure), no server is listening

The documentation for this interface was generated from the following file:

- com/sun/star/connection/XConnector.idl